/*---------------------------------------------------
-----------------------------------------------------
Filename:	loadattribs.m
Version:	1.2

Type:		maki/attrib loader
Date:		29. Aug. 2006 - 23:43 
Author:		Martin Poehlmann aka Deimos
E-Mail:		martin@skinconsortium.com
Internet:	www.skinconsortium.com
		www.martin.deimos.de.vu
-----------------------------------------------------
---------------------------------------------------*/

#define MAIN_ATTRIBS_MGR
#define MAIN_ATTRIBS_LOADER

#include <lib/std.mi>

#include attribs/init_notifier.m

Global Configattribute findOpenRect;
Global String findOpenRect_default;

System.onScriptLoaded()
{
	initAttribs_notifier();

	// Turn 'find open rect' temporary off
	findOpenRect = config.getItemByGuid("{280876CF-48C0-40BC-8E86-73CE6BB462E5}").getAttribute("Find open rect");
	findOpenRect_default = findOpenRect.getData();
	findOpenRect.setData("0");
}

System.onScriptUnloading ()
{
	findOpenRect.setData(findOpenRect_default);
}

findOpenRect.onDataChanged ()
{
	if (getData() == "0") return;
	findOpenRect.setData("0");
}
