#include "lib/std.mi"

Global ToggleButton ShuffleButton;
Function ShuffleTooltips();

System.onScriptLoaded () {
  Group ScriptGroup = getScriptGroup();
  ShuffleButton = ScriptGroup.getObject("Shuffle");
  ShuffleTooltips();
}

ShuffleButton.onToggle(boolean on) {
  ShuffleTooltips();
}

ShuffleTooltips() {
  int v = ShuffleButton.getCurCfgVal();
  if (v == 1) ShuffleButton.setXmlParam("tooltip", "Shuffle: On");
  else ShuffleButton.setXmlParam("tooltip", "Shuffle: Off");
}
