#include "lib/std.mi"

Global ToggleButton RepeatButton;
Function RepeatTooltips();

System.onScriptLoaded () {
  Group ScriptGroup = getScriptGroup();
  RepeatButton = ScriptGroup.getObject("Repeat");
  RepeatTooltips();
}

RepeatButton.onToggle(boolean on) {
  RepeatTooltips();
}

RepeatTooltips() {
  int v = RepeatButton.getCurCfgVal();
  if (v == 0) RepeatButton.setXmlParam("tooltip", "Repeat: OFF");
  else if (v > 0) RepeatButton.setXmlParam("tooltip", "Repeat: ALL");
  else if (v < 0) RepeatButton.setXmlParam("tooltip", "Repeat: TRACK");
}
